
# 
#   ______                           __        ____    _      __  __     
#  / ___(_)__ ___ _  ___  ___ ____  / /__     / __/___(_)_ __/ /_/ /____ 
# / (_ / / _ `/  ' \/ _ \/ _ `/ _ \/ / _ \   _\ \/ __/ / // / __/ __/ _ \
# \___/_/\_,_/_/_/_/ .__/\_,_/\___/_/\___/  /___/\__/_/\_,_/\__/\__/\___/
#                 /_/                                                   
# http://www.giampaolo-sciutto.it/

# Name Script : Rename_files_from_ Time_Stamp.ps1
# Descrizione : 
# 
# Versione    : 1.0
# Requisiti   : 
# Piattaforme Verificate : Windows Server 2012/2008 - Windows 7
#
# Modify by Giampaolo Sciutto
# Date Modify: 15/09/2017
#

##### Acquisisci i files dalla cartella es: C:\TEMP\test\
$files = Get-ChildItem C:\TEMP\test\*.*

##### Ottieni informazioni dal time Stamp / Rinomina i files 
$suffix = (get-date).ToString("_yyyyMMdd_HHmmss")
Write-Host $suffix

Foreach ($file in $files)
{
    Write-Host $file
    $extension = $file.Name.Substring($file.Name.LastIndexOf("."))
    Write-Host $extension

    $fileNameWithoutExtension = $file.Name.Substring(0, $file.Name.LastIndexOf("."))
    Write-Host $fileNameWithoutExtension

    $newFileName = $fileNameWithoutExtension + $suffix + $extension
    Write-Host $newFileName

    Rename-Item -Path $file.FullName -NewName $newFileName
}  